import { CompletionItem, type Position } from 'vscode-languageserver-protocol';
import type { TextDocument } from 'vscode-languageserver-textdocument';
import * as lsp from 'vscode-languageserver/node';
import type { CamelCaseValues } from './utils';
export declare const COMPLETION_TRIGGERS: string[];
export declare class CSSModulesCompletionProvider {
    _classTransformer: (x: string) => string;
    constructor(camelCaseConfig: CamelCaseValues);
    updateSettings(camelCaseConfig: CamelCaseValues): void;
    completion: (params: lsp.CompletionParams) => Promise<CompletionItem[] | null>;
    provideCompletionItems(textdocument: TextDocument, position: Position): Promise<CompletionItem[] | null>;
}
