import { type Hover, Location, Position } from 'vscode-languageserver-protocol';
import type { TextDocument } from 'vscode-languageserver-textdocument';
import type * as lsp from 'vscode-languageserver/node';
import { type CamelCaseValues } from './utils';
export declare class CSSModulesDefinitionProvider {
    _camelCaseConfig: CamelCaseValues;
    constructor(camelCaseConfig: CamelCaseValues);
    updateSettings(camelCaseConfig: CamelCaseValues): void;
    definition: (params: lsp.DefinitionParams) => Promise<never[] | Location | null>;
    hover: (params: lsp.HoverParams) => Promise<Hover | null>;
    provideHover(textdocument: TextDocument, position: Position): Promise<null | Hover>;
    provideDefinition(textdocument: TextDocument, position: Position): Promise<Location | null>;
}
